function error=TorqueChangeOptimFunF(Vect)

global theta10 theta20 theta1dot0 theta2dot0 tau10 tau20...
       theta1dotf theta2dotf T N ...
       theta1f theta2f tau1f tau2f
   
   
% Initival Adjoint Vector that we are adjusting
p10=Vect(1); % associated to theta1
p20=Vect(2); % associated to theta2
p30=Vect(3); % associated to theta1dot
p40=Vect(4); % associated to theta2dot
p50=Vect(5); % associated to tau1
p60=Vect(6); % associated to tau2

              
% Initial State
IniState=[ theta10 theta20 theta1dot0 theta2dot0 tau10 tau20 ...
           p10 p20 p30 p40 p50 p60];

% Simulation of the state-costate dynamical system
times=linspace(0,T,N)';
options = odeset('RelTol',1e-3,'AbsTol',1e-3);
[tmp,Sol] = ode45(@(t,x) TorqueChangeSystemDiff(t,x), times, IniState, options);

% rearranging the solution according to intuitive variable names
theta1=Sol(:,1);
theta2=Sol(:,2);
thetadot1=Sol(:,3);
thetadot2=Sol(:,4);
tau1=Sol(:,5);
tau2=Sol(:,6);
     
%Error computation for the shooting method (difference between actual and final state)
error=[theta1(end)-theta1f ; theta2(end)-theta2f ; ...
       thetadot1(end)-theta1dotf ; thetadot2(end)-theta2dotf ; ...
       tau1(end)-tau1f ; tau2(end)-tau2f  ];
   
   

